%global momorel 1

Name:       rhythmbox
Summary:    A music management application, originally inspired by Apple's iTunes.
#'
Version:     0.12.2
Release:     %{momorel}m%{?dist}
License:     GPL
Group:	     Applications/Multimedia
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.12/%{name}-%{version}.tar.bz2 
NoSource: 0

URL:         http://www.gnome.org/projects/rhythmbox/
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: perl-XML-Parser
BuildPrereq: gettext
BuildPrereq: glib2-devel
BuildPrereq: pkgconfig
BuildPrereq: hal-devel
BuildPrereq: gstreamer-devel
BuildPrereq: avahi-devel
BuildPrereq: libnotify-devel
BuildPrereq: libX11-devel >= 1.2
BuildPrereq: libxcb-devel >= 1.2
BuildPrereq: libsoup-2.2-devel >= 2.2-105-3m
BuildPrereq: zlib-devel
BuildPrereq: libmusicbrainz-devel
BuildPrereq: nautilus-cd-burner-devel
BuildPrereq: GConf2-devel
BuildPrereq: lirc-devel
BuildPrereq: python >= 2.5
BuildPrereq: pygtk2
BuildPrereq: dbus-devel
BuildPrereq: libgpod-devel >= 0.7.0
BuildPrereq: libmtp-devel >= 0.3.3
BuildPrereq: totem >= 2.23.2-1m
BuildPrereq: totem-pl-parser-devel >= 2.22.1
BuildPrereq: evolution-data-server >= 2.24.0
Requires: gstreamer-plugins-base
Requires: gstreamer-plugins-good
Requires: gstreamer-python

%description
Rhythmbox is an integrated music management application, originally inspired by Apple's iTunes. It is free software, designed to work well under the GNOME Desktop, and based on the powerful GStreamer media framework.
#'

%prep
%setup -q

%build
%configure \
      --with-ipod \
      --with-dbus \
      --with-mdns=avahi \
      --disable-scrollkeeper \
      --enable-tag-writing \
      --with-gnome-keyring \
      --with-metadata-helper

%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%find_lang %name --with-gnome

# And don't package vala
rm -f %{buildroot}%{_libdir}/rhythmbox/plugins/libsample-vala.so \
	%{buildroot}%{_libdir}/rhythmbox/plugins/sample-vala.rb-plugin

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    %{_sysconfdir}/gconf/schemas/rhythmbox.schemas; do
  gconftool-2 --makefile-install-rule $i > /dev/null
done
rarian-sk-update

%postun
rarian-sk-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_libdir}/%{name}
%{_libdir}/librhythmbox-core.*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox.service
%{_datadir}/gnome/help/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/omf/%{name}
%{_datadir}/gtk-doc/html/%{name}
%{_libexecdir}/%{name}-metadata
%{_libdir}/mozilla/plugins/librhythmbox-itms-detection-plugin.*

%changelog
* Sun May 31 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.2-1m)
- update to 0.12.2

* Tue Apr 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.1-1m)
- update to 0.12.1

* Thu Mar 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-1m)
- update to 0.12.0

* Wed Mar 18 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.99.2-1m)
- update 0.12 pre

* Wed Mar 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.6-10m)
- rebuild against libgpod-0.7.0

* Wed Feb 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.6-9m)
- rebuild against libxcb-1.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.6-8m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.11.6-7m)
- rebuild against python-2.6.1-2m

* Tue Nov  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.6-6m)
- rebuild against libmtp-0.3.3
- import libmtp-0.3.0-API.patch from gentoo
 +- 06 Jul 2008; Peter Alfredsen <loki_val@gentoo.org>
 +- +files/rhythmbox-0.11.5-libmtp-0.3.0-API.patch, rhythmbox-0.11.5.ebuild,
 +- +rhythmbox-0.11.5-r1.ebuild:
 +- Revbump with patch for libmtp-0.3.0 API change

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.6-5m)
- rebuild against evolution-data-server-2.24.0

* Wed Sep  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.6-4m)
- add Requires: gstreamer-python

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.6-3m)
- change Requires: gst-plugins-base to gstreamer-plugins-base
- change Requires: gst-plugins-good to gstreamer-plugins-good

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.6-2m)
- rebuild against gnutls-2.4.1 (libsoup-2.2)

* Sat Jul 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.6-1m)
- update to 0.11.6
- comment out many patches

* Sun Jun 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.5-1m)
- update 0.11.5

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.3-6m)
- rebuild against totem-2.23.2-1m for firefox-3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.3-6m)
- rebuild against gcc43

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.3-5m)
- rebuild against totem-2.22.0

* Tue Mar 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.3-4m)
- rebuild against libsoup-2.2.105
- BPR libsoup-2.2

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.3-3m)
- %%NoSource -> NoSource

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.3-2m)
- rebuild against libgpod-0.6.0

* Fri Nov  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.3-1m)
- update to 0.11.3

* Fri Oct 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.2-4m)
- rebuild against libmtp-0.2.3

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.2-3m)
- rebuild against libgpod-0.5.2 and libmtp-0.2.1

* Mon Sep 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.2-2m)
- rebuild against totem-2.20.0

* Fri Aug 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.2-1m)
- update to 0.11.2

* Mon May 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-1m)
- update 0.10.1

* Mon Apr  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-1m)
- update 0.10.0

* Sat Mar  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.8-2m)
- update patch (eel_strdup_strftime)

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.8-1m)
- update to 0.9.8

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.7-2m)
- rebuild against libgpod-0.4.2

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.7-1m)
- update to 0.9.7

* Sun Oct  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6
-- delete patch1 (for dbus)

* Sat Sep 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9.5-7m)
- rebuild against gnutls-1.4.4-1m

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-6m)
- rebuild against nautilus-cd-burner-2.16.0 libgpod-devel-0.3.2-3m

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-5m)
- rebuild against dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9.5-4m)
- rebuild against expat-2.0.0-1m

* Fri Jul 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-3m)
- add BuildPrereq: libgpod-devel
- add patch0 (eel_strdup_strftime)

* Wed Jul 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-2m)
- add --with-check=no to configure

* Wed Jul 12 2006 imuchin <imuchin777@m3.dion.ne.jp>
- (0.9.5-1m)
- initial build
